Skip to content

Upgraded Node to 0.6.6 now won't install #169

Closed
PastorBones opened this Issue Jan 1, 2012 · 11 comments

5 participants

@PastorBones

I installed node 0.6.6 without using sudo as per this article and now won't install. Here is the output:


npm WARN node-proxy@0.5.2 package.json: bugs['web'] should probably be bugs['url']

> node-proxy@0.5.2 install /home/***********/node_projects/ircd/node_modules/now/node_modules/node-proxy
> make

BUILDING: C++ Component
Checking for program g++ or c++          : /usr/bin/g++ 
Checking for program cpp                 : /usr/bin/cpp 
Checking for program ar                  : /usr/bin/ar 
Checking for program ranlib              : /usr/bin/ranlib 
Checking for g++                         : ok  
Checking for node path                   : ok /home/***********/.node_libraries 
Checking for node prefix                 : ok /home/***********/opt 
'configure' finished successfully (0.318s)
Waf: Entering directory `/home/***********/node_projects/ircd/node_modules/now/node_modules/node-proxy/src/build'
[1/2] cxx: node-proxy.cc -> build/Release/node-proxy_1.o
npm ERR! Failed unpacking /home/***********/.npm/uglify-js/1.0.6/package.tgz
npm ERR! error installing uglify-js@1.0.6 Error: `tar "-zmvxpf" "/home/***********/.npm/uglify-js/1.0.6/package.tgz"`
npm ERR! error installing uglify-js@1.0.6 failed with 2
npm ERR! error installing uglify-js@1.0.6     at ChildProcess.<anonymous> (/home/***********/opt/lib/node_modules/npm/lib/utils/tar.js:217:20)
npm ERR! error installing uglify-js@1.0.6     at ChildProcess.emit (events.js:70:17)
npm ERR! error installing uglify-js@1.0.6     at maybeExit (child_process.js:359:16)
npm ERR! error installing uglify-js@1.0.6     at Socket.<anonymous> (child_process.js:456:7)
npm ERR! error installing uglify-js@1.0.6     at Socket.emit (events.js:67:17)
npm ERR! error installing uglify-js@1.0.6     at Array.1 (net.js:314:10)
npm ERR! error installing uglify-js@1.0.6     at EventEmitter._tickCallback (node.js:192:40)
npm ERR! error installing socket.io-client@0.8.7 Error: `tar "-zmvxpf" "/home/***********/.npm/uglify-js/1.0.6/package.tgz"`
npm ERR! error installing socket.io-client@0.8.7 failed with 2
npm ERR! error installing socket.io-client@0.8.7     at ChildProcess.<anonymous> (/home/***********/opt/lib/node_modules/npm/lib/utils/tar.js:217:20)
npm ERR! error installing socket.io-client@0.8.7     at ChildProcess.emit (events.js:70:17)
npm ERR! error installing socket.io-client@0.8.7     at maybeExit (child_process.js:359:16)
npm ERR! error installing socket.io-client@0.8.7     at Socket.<anonymous> (child_process.js:456:7)
npm ERR! error installing socket.io-client@0.8.7     at Socket.emit (events.js:67:17)
npm ERR! error installing socket.io-client@0.8.7     at Array.1 (net.js:314:10)
npm ERR! error installing socket.io-client@0.8.7     at EventEmitter._tickCallback (node.js:192:40)
npm ERR! error installing xmlhttprequest@1.2.2 Error: ENOENT, no such file or directory '/home/***********/node_projects/ircd/node_modules/now/node_modules/socket.io/node_modules/socket.io-client/node_modules/___xmlhttprequest.npm/package/package.json'
npm ERR! error installing websocket-client@1.0.0 Error: ENOENT, no such file or directory '/home/***********/node_projects/ircd/node_modules/now/node_modules/socket.io/node_modules/socket.io-client/node_modules/___websocket-client.npm/package/package.json'
npm ERR! error installing socket.io@0.8.7 Error: `tar "-zmvxpf" "/home/***********/.npm/uglify-js/1.0.6/package.tgz"`
npm ERR! error installing socket.io@0.8.7 failed with 2
npm ERR! error installing socket.io@0.8.7     at ChildProcess.<anonymous> (/home/***********/opt/lib/node_modules/npm/lib/utils/tar.js:217:20)
npm ERR! error installing socket.io@0.8.7     at ChildProcess.emit (events.js:70:17)
npm ERR! error installing socket.io@0.8.7     at maybeExit (child_process.js:359:16)
npm ERR! error installing socket.io@0.8.7     at Socket.<anonymous> (child_process.js:456:7)
npm ERR! error installing socket.io@0.8.7     at Socket.emit (events.js:67:17)
npm ERR! error installing socket.io@0.8.7     at Array.1 (net.js:314:10)
npm ERR! error installing socket.io@0.8.7     at EventEmitter._tickCallback (node.js:192:40)
npm ERR! error installing now@0.7.6 Error: `tar "-zmvxpf" "/home/***********/.npm/uglify-js/1.0.6/package.tgz"`
npm ERR! error installing now@0.7.6 failed with 2
npm ERR! error installing now@0.7.6     at ChildProcess.<anonymous> (/home/***********/opt/lib/node_modules/npm/lib/utils/tar.js:217:20)
npm ERR! error installing now@0.7.6     at ChildProcess.emit (events.js:70:17)
npm ERR! error installing now@0.7.6     at maybeExit (child_process.js:359:16)
npm ERR! error installing now@0.7.6     at Socket.<anonymous> (child_process.js:456:7)
npm ERR! error installing now@0.7.6     at Socket.emit (events.js:67:17)
npm ERR! error installing now@0.7.6     at Array.1 (net.js:314:10)
npm ERR! error installing now@0.7.6     at EventEmitter._tickCallback (node.js:192:40)
npm ERR! Error: `tar "-zmvxpf" "/home/***********/.npm/uglify-js/1.0.6/package.tgz"`
npm ERR! failed with 2
npm ERR!     at ChildProcess.<anonymous> (/home/***********/opt/lib/node_modules/npm/lib/utils/tar.js:217:20)
npm ERR!     at ChildProcess.emit (events.js:70:17)
npm ERR!     at maybeExit (child_process.js:359:16)
npm ERR!     at Socket.<anonymous> (child_process.js:456:7)
npm ERR!     at Socket.emit (events.js:67:17)
npm ERR!     at Array.1 (net.js:314:10)
npm ERR!     at EventEmitter._tickCallback (node.js:192:40)
@Peterfly
Peterfly commented Jan 1, 2012

the first line of meaningless warning is always there, so no worries. are you using a mac? if so try installing xcode. another possibility is that you don't have npm package manager installed, as you just git clone the repository. Last, i think you can try "npm install uglify" and "npm install socket.io" beforehand. hope this can help!

@3rd-Eden
3rd-Eden commented Jan 1, 2012

Upgrade your tar installation to the latest version and it will be fixed.

@PastorBones

I'm using Linux Ubuntu 11.04, apt-get reports that all of my packages are the latest version (tar included). I always use npm to install packages. Also, I was able to install socket.io just fine before I upgraded to Node v0.6.6. Maybe I should post this problem there or on npm page?

@ericz
ericz commented Jan 2, 2012

@PastorBones what are the results when you try to npm install uglify-js by itself? Do you still encounter the errors or does it succeed?

Eric

@PastorBones

@ericz I am able to install uglify-js both with the -g flag and without. However now still fails with the uglify tar error even though uglify is installed both globally and locally within the directory.

@ericz
ericz commented Jan 3, 2012
@PastorBones

I think it may have to do with the way I installed Node (without sudo) as I'm having same errors trying to install socket.io. I will probably revert to using sudo again and hoping that fixes the issue.

@ericz
ericz commented Jan 3, 2012
@steveWang

Eh, I haven't installed Node via sudo in more than half a year. Did you set your prefix correctly when installing?

Also, you can generally tell if sudo's required if it gives you a "Permission denied" error.

@PastorBones

I figured out the main issue...after installing node v0.6 I never reinstalled npm!! Which has fixed many of the tar errors, however now I'm getting an error at the end that says cb() never called


****@p****:~/node_projects/shared/node_modules$ npm -g install now
npm http GET https://registry.npmjs.org/now
npm http 304 https://registry.npmjs.org/now
npm http GET https://registry.npmjs.org/socket.io
npm http GET https://registry.npmjs.org/node-proxy
npm http 304 https://registry.npmjs.org/socket.io
npm http 304 https://registry.npmjs.org/node-proxy
npm WARN node-proxy@0.5.2 package.json: bugs['web'] should probably be bugs['url']

> node-proxy@0.5.2 install /home/*****/opt/lib/node_modules/now/node_modules/node-proxy
> make

BUILDING: C++ Component
npm http GET https://registry.npmjs.org/socket.io-client/0.8.7
npm http GET https://registry.npmjs.org/policyfile/0.0.4
npm http GET https://registry.npmjs.org/redis/0.6.7
Checking for program g++ or c++          : /usr/bin/g++ 
Checking for program cpp                 : /usr/bin/cpp 
Checking for program ar                  : /usr/bin/ar 
Checking for program ranlib              : /usr/bin/ranlib 
Checking for g++                         : ok  
Checking for node path                   : ok /home/*****/.node_libraries 
Checking for node prefix                 : ok /home/*****/opt 
'configure' finished successfully (0.301s)
Waf: Entering directory `/home/*****/opt/lib/node_modules/now/node_modules/node-proxy/src/build'
[1/2] cxx: node-proxy.cc -> build/Release/node-proxy_1.o
npm http 304 https://registry.npmjs.org/socket.io-client/0.8.7
npm http 304 https://registry.npmjs.org/policyfile/0.0.4
npm http 304 https://registry.npmjs.org/redis/0.6.7
npm http GET https://registry.npmjs.org/uglify-js/1.0.6
npm http GET https://registry.npmjs.org/websocket-client/1.0.0
npm http GET https://registry.npmjs.org/xmlhttprequest/1.2.2
npm http 304 https://registry.npmjs.org/uglify-js/1.0.6
npm http 304 https://registry.npmjs.org/xmlhttprequest/1.2.2
[2/2] cxx_link: build/Release/node-proxy_1.o -> build/Release/node-proxy.node
npm http 304 https://registry.npmjs.org/websocket-client/1.0.0
Waf: Leaving directory `/home/*****/opt/lib/node_modules/now/node_modules/node-proxy/src/build'
'build' finished successfully (8.262s)
npm ERR! cb() never called!
npm ERR!  
npm not ok

Everything seems to be working though!

@ericz
ericz commented Jan 16, 2012

Closing. Feel free to reopen if there are additional issues.

@ericz ericz closed this Jan 16, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.